com.jscape.inet.mft.management.descriptors

## Class IPFlaggingServiceDescriptor

- java.lang.Object
- - com.jscape.inet.mft.management.descriptors.Configuration
  - - com.jscape.inet.mft.management.descriptors.ServiceDescriptor
    - - com.jscape.inet.mft.management.descriptors.IPFlaggingServiceDescriptor

- All Implemented Interfaces:
    com.jscape.util.db.IntVersioned, java.io.Serializable

      public class IPFlaggingServiceDescriptor
      extends ServiceDescriptor

  Author:
    Alex Usun
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IPFlaggingServiceDescriptor()`
    `IPFlaggingServiceDescriptor(int maxAttempts, long maxTimeout, long restoringTimeout)`
    `IPFlaggingServiceDescriptor(IPFlaggingServiceDescriptor that)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.jscape.inet.mftserver.operation.connection.AttemptLimit` | `attemptLimit()`
    `Configuration` | `copy()`
    `int` | `getMaxAttempts()`
    `long` | `getMaxTimeout()`
    `long` | `getRestoringTimeout()`
    `void` | `setMaxAttempts(int value)`
    `void` | `setMaxTimeout(long value)`
    `void` | `setRestoringTimeout(long value)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.jscape.inet.mft.management.descriptors.Configuration

      `getVersion, setVersion`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IPFlaggingServiceDescriptor

          public IPFlaggingServiceDescriptor(int maxAttempts,
                                             long maxTimeout,
                                             long restoringTimeout)

    - #### IPFlaggingServiceDescriptor

          public IPFlaggingServiceDescriptor()

    - #### IPFlaggingServiceDescriptor

          public IPFlaggingServiceDescriptor(IPFlaggingServiceDescriptor that)

  - ### Method Detail

    - #### getMaxAttempts

          public int getMaxAttempts()

    - #### setMaxAttempts

          public void setMaxAttempts(int value)

    - #### getMaxTimeout

          public long getMaxTimeout()

    - #### setMaxTimeout

          public void setMaxTimeout(long value)

    - #### getRestoringTimeout

          public long getRestoringTimeout()

    - #### setRestoringTimeout

          public void setRestoringTimeout(long value)

    - #### copy

          public Configuration copy()

      Specified by:
        `copy` in class `Configuration`

    - #### attemptLimit

          public com.jscape.inet.mftserver.operation.connection.AttemptLimit attemptLimit()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © JSCAPE LLC. 1999-2019. All Rights Reserved